<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '../common/meta';
import { CopyForm, NextStep } from '../components/common/index.vue';
import {
  FifteenCountdown,
  FifteenHero,
  FifteenMainEvent,
} from '~/components/fifteen/index.vue';

export default Vue.extend({
  name: 'Fifteen',
  components: {
    FifteenHero,
    CopyForm,
    NextStep,
    FifteenCountdown,
    FifteenMainEvent,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    try {
      const page = await $content('fifteen').fetch();
      return { page };
    } catch (e) {
      throw new Error(e);
    }
  },
  head() {
    return getPageMetadata((this as any).page, this.$route.path);
  },
});
</script>

<template>
  <section>
    <FifteenHero :data="page.hero_image_block" />
    <SlpContainer>
      <CopyForm :data="page.register_form_block" />
    </SlpContainer>
    <SlpContainer variant="light-purple-100" class="fifteen-main-event">
      <FifteenMainEvent :data="page.main_event_block" />
    </SlpContainer>
    <SlpContainer variant="gradient">
      <FifteenCountdown :data="page.countdown_block" />
    </SlpContainer>
    <SlpContainer>
      <NextStep />
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.fifteen-main-event {
  padding: $spacing-64 0;

  @media (min-width: $breakpoint-md) {
    padding: 160px 0;
  }
}
</style>
